Frank
Date: 2019-10-22

org.jmol.shape

## Class Frank

- java.lang.Object
- - org.jmol.shape.Shape
  - - org.jmol.shape.Frank

-     public class Frank
      extends Shape

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Font` | `baseFont3d`
    `(package private) Font` | `currentMetricsFont3d`
    `(package private) static java.lang.String` | `defaultFontName`
    `(package private) static int` | `defaultFontSize`
    `(package private) static java.lang.String` | `defaultFontStyle`
    `(package private) int` | `dx`
    `(package private) int` | `dy`
    `Font` | `font3d`
    `int` | `frankAscent`
    `int` | `frankDescent`
    `static int` | `frankMargin`
    `java.lang.String` | `frankString`
    `int` | `frankWidth`
    `private float` | `scaling`
    `(package private) int` | `x`
    `(package private) int` | `y`

    - ### Fields inherited from class org.jmol.shape.Shape

      `bsColixSet, bsSizeSet, isBioShape, ms, myType, RADIUS_MAX, shapeID, translucentAllowed, translucentLevel, vf, vwr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Frank()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) void` | `calcMetrics()`
    `boolean` | `checkObjectHovered(int x, int y, javajs.util.BS bsVisible)`
    `void` | `getFont(float imageFontScaling)`
    `java.lang.String` | `getShapeState()`
    `void` | `initShape()`
    `void` | `setProperty(java.lang.String propertyName, java.lang.Object value, javajs.util.BS bs)`
    `boolean` | `wasClicked(int x, int y)`

    - ### Methods inherited from class org.jmol.shape.Shape

      `appendCmd, checkBoundsMinMax, checkObjectClicked, checkObjectDragged, coordinateInRange, encodeColor, findNearestAtomIndex, getColix, getColixA, getColixB, getColixI, getColorCommand, getColorCommandUnk, getFontCommand, getIndexFromName, getProperty, getPropertyData, getPropShape, getShapeDetail, getSize, getSizeG, getTranslucentLabel, initializeShape, initModelSet, replaceGroup, setAtomClickability, setModelSet, setModelVisibilityFlags, setPropS, setShapeSizeRD, setSize, setSizeRD`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### defaultFontName

          static final java.lang.String defaultFontName

      See Also:
        Constant Field Values

    - #### defaultFontStyle

          static final java.lang.String defaultFontStyle

      See Also:
        Constant Field Values

    - #### defaultFontSize

          static final int defaultFontSize

      See Also:
        Constant Field Values

    - #### frankMargin

          public static final int frankMargin

      See Also:
        Constant Field Values

    - #### frankString

          public java.lang.String frankString

    - #### currentMetricsFont3d

          Font currentMetricsFont3d

    - #### baseFont3d

          public Font baseFont3d

    - #### frankWidth

          public int frankWidth

    - #### frankAscent

          public int frankAscent

    - #### frankDescent

          public int frankDescent

    - #### x

          int x

    - #### y

          int y

    - #### dx

          int dx

    - #### dy

          int dy

    - #### scaling

          private float scaling

    - #### font3d

          public Font font3d

  - ### Constructor Detail

    - #### Frank

          public Frank()

  - ### Method Detail

    - #### initShape

          public void initShape()

      Specified by:
        `initShape` in class `Shape`

    - #### setProperty

          public void setProperty(java.lang.String propertyName,
                                  java.lang.Object value,
                                  javajs.util.BS bs)

      Specified by:
        `setProperty` in class `Shape`

    - #### wasClicked

          public boolean wasClicked(int x,
                                    int y)

      Overrides:
        `wasClicked` in class `Shape`
      Returns:
        T/F

    - #### checkObjectHovered

          public boolean checkObjectHovered(int x,
                                            int y,
                                            javajs.util.BS bsVisible)

      Overrides:
        `checkObjectHovered` in class `Shape`
      Returns:
        T/F

    - #### calcMetrics

          void calcMetrics()

    - #### getFont

          public void getFont(float imageFontScaling)

    - #### getShapeState

          public java.lang.String getShapeState()

      Specified by:
        `getShapeState` in class `Shape`